<app-page-data-list
  [pageTitle]="'لیست حساب‌های کاربری'"
  [columns]="columns"
  emptyPlaceholderTitle="حساب‌ کاربری‌ای یافت نشد"
  [items]="items()"
  [loading]="loading()"
  (onRefresh)="refresh()"
/>

@if (selectedItemForEdit()) {
  <shared-change-password-form-dialog
    [(visible)]="visibleForm"
    [title]="selectedItemForEdit()?.account?.username || ''"
    [loading]="passwordSubmitLoading()"
    (onSubmit)="updatePassword($event)"
  />
}
